Get TPRM Company by ID
curl --request GET \
--url https://api.leen.dev/v1/tprm/companies/{company_id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-CONNECTION-ID: <api-key>'import requests
url = "https://api.leen.dev/v1/tprm/companies/{company_id}"
headers = {
"X-API-KEY": "<api-key>",
"X-CONNECTION-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<api-key>', 'X-CONNECTION-ID': '<api-key>'}
};
fetch('https://api.leen.dev/v1/tprm/companies/{company_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"compliance_claimed": [
{
"standard": "<string>",
"last_updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"date_added": "2023-11-07T05:31:56Z",
"domain": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"industry": "<string>",
"name": "<string>",
"related_portfolios": [
{
"id": "<string>",
"name": "<string>"
}
],
"score": {
"factors": [],
"grade": "<string>",
"rating": 123
},
"size": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"vendor_attributes": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"data": {
"dashboard_link": "<string>",
"strategy_report_url": "<string>",
"type": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Companies
Get TPRM Company by ID
Retrieve a single monitored third-party company by its Leen ID.
GET
/
tprm
/
companies
/
{company_id}
Get TPRM Company by ID
Path Parameters
Response
Successful Response
The compliance claimed by the company
Show child attributes
Show child attributes
The date the company was created
The date the company was added
The domain of the company
Leen's UUID for the tprm company
The industry of the company
The name of the company
The related portfolios of the company
Show child attributes
Show child attributes
The score of the company
Show child attributes
Show child attributes
The size of the company
The date the company was updated
The vendor attributes of the company
Show child attributes
Show child attributes